Loading...
Searching...
No Matches
build_info.hpp File Reference
`#include <uhd/config.hpp>`
`#include <string>`
Include dependency graph for build_info.hpp:

Go to the source code of this file.

## Namespaces

namespace | uhd
namespace | uhd::build_info

## Functions

const std::string | uhd::build_info::boost_version ()
| Return the version of Boost this build was built with.
const std::string | uhd::build_info::build_date ()
| Return the date and time (GMT) this UHD build was built.
const std::string | uhd::build_info::c_compiler ()
| Return the C compiler used for this build.
const std::string | uhd::build_info::cxx_compiler ()
| Return the C++ compiler used for this build.
const std::string | uhd::build_info::c_flags ()
| Return the C flags passed into this build.
const std::string | uhd::build_info::cxx_flags ()
| Return the C++ flags passed into this build.
const std::string | uhd::build_info::enabled_components ()
| Return the UHD components enabled for this build, comma-delimited.
const std::string | uhd::build_info::install_prefix ()
| Return the default CMake install prefix for this build.
const std::string | uhd::build_info::libusb_version ()
| Return the version of libusb this build was built with.
const std::string | uhd::build_info::dpdk_version ()
| Return the version of DPDK this build was built with.
const std::string | uhd::build_info::pkg_data_dir ()
| Return the value of PKG_DATA_DIR at build time (e.g., "share/uhd").